Name:		geary
Version:	0.3.1
Release:	%mkrel 1
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
Group:		Networking/Mail
URL:		http://yorba.org/geary/
Source0:	http://yorba.org/download/geary/stable/%{name}-%{version}.tar.xz
BuildRequires:	vala >= 0.17.4
BuildRequires:	cmake
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.30.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(gee-1.0) >= 0.6.0
BuildRequires:	pkgconfig(unique-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libnotify) >= 0.7.5
BuildRequires:	pkgconfig(libcanberra) >= 0.28
BuildRequires:	pkgconfig(sqlite3) >= 3.7.4
BuildRequires:	pkgconfig(gmime-2.6) >= 2.6.0
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.2.2
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.8.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%setup -q -n %{name}-%{version}

%build
%setup_compile_flags
./configure --prefix=%{_prefix} --disable-desktop-update --disable-icon-update --disable-schemas-compile 
%make

%install
%make DESTDIR=%{buildroot} install

desktop-file-validate %{buildroot}%{_datadir}/applications/geary.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS MAINTAINERS README THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.yorba.geary.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog

* Wed Apr 10 2013 dams <dams> 0.3.1-1.mga3
+ Revision: 409386
- new version 0.3.1

* Fri Mar 29 2013 wally <wally> 0.3.0-2.mga3
+ Revision: 406474
- build with our %%optflags and %%ldflags

* Wed Mar 27 2013 dams <dams> 0.3.0-1.mga3
+ Revision: 405741
- new version 0.3.0
- add patch for .desktop file
- update BR

* Fri Jan 11 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 351183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 0.2.2-1.mga3
+ Revision: 315088
- add a %%group
- imported package geary

